V9.0

get

/ec-designer-svc/rest/v9.0/studies/{studyId}/versions/{version}/studyversionobjects

Returns study version objects for a single study version. This endpoint supports form category filtering on the returned study version object payload.

Request

Path Parameters
Query Parameters
  • Return forms with this Form Category. Optional.
    Default Value: DCS
    Allowed Values: [ "DCS", "CRF", "UNBLINDED", "ADJUDICATION", "DIARY", "DEFAULT" ]
    Example:
    DCS

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : RespStudyVersionObjectsDto
Type: object
Show Source
Nested Schema : advanceDosingGroupCriterias
Type: array
Show Source
Nested Schema : advanceDosingGroupKitSettings
Type: array
Show Source
Nested Schema : advanceDosingGroups
Type: array
Show Source
Nested Schema : armKitVisits
Type: array
Show Source
Nested Schema : branches
Type: array
Show Source
Nested Schema : codeListItems
Type: array
Show Source
Nested Schema : codeLists
Type: array
Show Source
Nested Schema : cohorts
Type: array
Show Source
Nested Schema : dataViews
Type: array
Show Source
Nested Schema : dosingCalculations
Type: array
Show Source
Nested Schema : extendedProperties
Type: array
Show Source
Nested Schema : formItems
Type: array
Show Source
Nested Schema : kits
Type: array
Show Source
Nested Schema : randArmRatios
Type: array
Show Source
Nested Schema : randCohortFactors
Type: array
Show Source
Nested Schema : randomizations
Type: array
Show Source
Nested Schema : randStratumFactors
Type: array
Show Source
Nested Schema : stratum
Type: array
Show Source
Nested Schema : stringResources
Type: array
Show Source
Nested Schema : studyEventForms
Type: array
Show Source
Nested Schema : studyEventSchedules
Type: array
Show Source
Nested Schema : studyVersions
Type: array
Show Source
Nested Schema : studyVersionsHistories
Type: array
Show Source
Nested Schema : titrationExceptions
Type: array
Show Source
Nested Schema : titrationKits
Type: array
Show Source
Nested Schema : treatmentArms
Type: array
Show Source
Nested Schema : validationRules
Type: array
Show Source
Nested Schema : visits
Type: array
Show Source
Nested Schema : DatahubAdvanceDosingGroupCriteriaDto
Type: object
Show Source
Nested Schema : DatahubAdvanceDosingGroupKitSettingDto
Type: object
Show Source
Nested Schema : DatahubAdvanceDosingGroupDto
Type: object
Show Source
Nested Schema : DatahubArmKitVisitDto
Type: object
Show Source
Nested Schema : DatahubVisitBranchDto
Type: object
Show Source
Nested Schema : DatahubCodeListItemsDto
Type: object
Show Source
Nested Schema : DatahubCodeListsDto
Type: object
Show Source
Nested Schema : DatahubCohortDto
Type: object
Show Source
Nested Schema : DatahubDataViewsDto
Type: object
Show Source
Nested Schema : DatahubDosingCalculationDto
Type: object
Show Source
Nested Schema : DatahubExtendedPropertiesDto
Type: object
Show Source
Nested Schema : DatahubFormItemsDto
Type: object
Show Source
Nested Schema : ehrMapping
Type: array
Show Source
Nested Schema : From Item Advanced Property v9.0
Type: object
Title: From Item Advanced Property v9.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v9.0
Type: object
Title: From Item Advanced Property Rule v9.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : DatahubKitsDto
Type: object
Show Source
Nested Schema : DatahubRandArmRatiosDto
Type: object
Show Source
Nested Schema : DatahubRandCohortFactorDto
Type: object
Show Source
Nested Schema : DatahubRandomizationDto
Type: object
Show Source
Nested Schema : DatahubRandStratumFactorsDto
Type: object
Show Source
Nested Schema : DatahubStratumDto
Type: object
Show Source
Nested Schema : DatahubStringResourcesDto
Type: object
Show Source
Nested Schema : DatahubStudyeventFormDto
Type: object
Show Source
Nested Schema : DatahubStudyEventScheduleDto
Type: object
Show Source
Nested Schema : DatahubStudyVersionsDto
Type: object
Show Source
Nested Schema : DatahubStudyVersionsHistoryDto
Type: object
Show Source
Nested Schema : DatahubTitrationExceptionsDto
Type: object
Show Source
Nested Schema : DatahubTitrationKitsDto
Type: object
Show Source
Nested Schema : DatahubTreatmentArmsDto
Type: object
Show Source
Nested Schema : DatahubValidationRulesDto
Type: object
Show Source
Nested Schema : DatahubVisitDto
Type: object
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top